Class | XMLRPC::XMLParser::XMLScanStreamParser::XMLScanParser
In: | xmlrpc/parser.rb
Parent: | Object

### Methods

method_missing on_cdata on_chardata on_charref on_charref_hex on_entityref on_stag_end on_stag_end_empty parse

### Included Modules

StreamParserMixin

### Constants

Entities | = | { "lt" => "<", "gt" => ">", "amp" => "&", "quot" => '"', "apos" => "'"

### External Aliases

startElement | -> | on_stag
endElement | -> | on_etag

### Public Instance methods

method_missing(*a)

[Source]

    # File xmlrpc/parser.rb, line 780
            def method_missing(*a)
            end

on_cdata(str)

[Source]

    # File xmlrpc/parser.rb, line 759
            def on_cdata(str)
              character(str)
            end

on_chardata(str)

[Source]

    # File xmlrpc/parser.rb, line 755
            def on_chardata(str)
              character(str)
            end

on_charref(code)

[Source]

    # File xmlrpc/parser.rb, line 772
            def on_charref(code)
              character(code.chr)
            end

on_charref_hex(code)

[Source]

    # File xmlrpc/parser.rb, line 776
            def on_charref_hex(code)
              character(code.chr)
            end

on_entityref(ent)

[Source]

    # File xmlrpc/parser.rb, line 763
            def on_entityref(ent)
              str = Entities[ent]
              if str
                character(str)
              else
                raise "unknown entity"
              end
            end

on_stag_end(name)

[Source]

    # File xmlrpc/parser.rb, line 748
            def on_stag_end(name); end

on_stag_end_empty(name)

[Source]

    # File xmlrpc/parser.rb, line 750
            def on_stag_end_empty(name)
              startElement(name)
              endElement(name)
            end

parse(str)

[Source]

    # File xmlrpc/parser.rb, line 740
            def parse(str)
              parser  = XMLScan::XMLParser.new(self)
              parser.parse(str)
            end

[Validate]